
D4Science Infrastructure - Task #4703

Upgrade # 4319 (Completed): D4Science Infrastructure Upgrade to gCube 4.0

Upgrade # 4327 (Completed): D4Science Gateways upgrade to gCube 4.0

Create Tomcat startup script at boot

Jul 11, 2016 12:38 PM - Massimiliano Assante

Status: Closed Start date: Jul 11, 2016

Priority: Normal Due date: Jul 22, 2016

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: D4Science Infrastructure Upgrade to

gCube 4.0.0

  

Infrastructure: Production   

Description

History

#1 - Jul 11, 2016 03:47 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#2 - Jul 11, 2016 05:46 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The startup scripts are ready. They are  upstart based because, with a manual installed tomcat, it's way easiers.

Inside the life home directory you'll find two scripts:

startContainer.sh

stopContainer.sh

Use them to start and stop the service.

As requested, I redirected the standard output and the standard error to catalina.out. I'm also providing a logrotate rule to daily rotate the catalina.out

file and remove all the catalina logs older than 15 days.

It should be better to have a log4j.properties with proper settings for the rotation and removal of the old log files, though.

#3 - Jul 25, 2016 12:07 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

The startup script is working.
